=begin
1Gb API

 API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  

OpenAPI spec version: 2.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

=end


class InlineResponse20014 < ApplicationRecord
  validate_presence_of :id
  validate_presence_of :status
  validate_presence_of :unmovable
  validate_presence_of :online
  validate_presence_of :deleted
  validate_presence_of :deleted_auto
  validate_presence_of :deleted_dump
  validate_presence_of :user_id
  validate_presence_of :ftp_id
  validate_presence_of :dns_id
  validate_presence_of :iis_id
  validate_presence_of :iis_binding
  validate_presence_of :iis_path
  validate_presence_of :iis_comments
  validate_presence_of :memo
  validate_presence_of :date_reg
  validate_presence_of :server
  validate_presence_of :server_bak
  validate_presence_of :server_aux
  validate_presence_of :server_transition
  validate_presence_of :server_transition_dtc
  validate_presence_of :block_transfer
  validate_presence_of :server_changed_time
  validate_presence_of :size_amount
  validate_presence_of :size_file_count
  validate_presence_of :size_file_count_limit
  validate_presence_of :size_date
  validate_presence_of :size_priority_scan
  validate_presence_of :copy_logs
  validate_presence_of :content_comments
  validate_presence_of :content_comments_verbose
  validate_presence_of :meta_save_count
  validate_presence_of :base_folder
  validate_presence_of :virtualhost_conf
  validate_presence_of :virtualhost_server
  validate_presence_of :virtualhost_server_conf
  validate_presence_of :live_day_count
  validate_presence_of :scan_date
  validate_presence_of :global_transfer_count
  validate_presence_of :net_limit_file
  validate_presence_of :net_limit_deny_from_ip
  validate_presence_of :net_limit_deny_from_agent
  validate_presence_of :apache_php_pooled
  validate_presence_of :apache_php_pooled_ext
  validate_presence_of :apache_php_pooled_ext_auto
  validate_presence_of :apache_php_pool1_only
  validate_presence_of :apache_php_pool5_only
  validate_presence_of :apache_ssi
  validate_presence_of :bypass_security
  validate_presence_of :flag_generic_exec
  validate_presence_of :flag_no_www
  validate_presence_of :base_folder_suffix
  validate_presence_of :feedback_speed
  validate_presence_of :feedback_speed_dtc
  validate_presence_of :feedback_speed_feedback
  validate_presence_of :unix_path_on_windows
  validate_presence_of :ftp_ipfilter
  validate_presence_of :ssh_ipfilter
  validate_presence_of :l3d_auto
  validate_presence_of :awstats_primary_domain
  validate_presence_of :sharepoint_mode
  validate_presence_of :sharepoint_mode_pending
  validate_presence_of :apache_generic_pool_port
  validate_presence_of :mongrel_environment
  validate_presence_of :flag_free
  validate_presence_of :rtm_scan_date
  validate_presence_of :analyze_analog
  validate_presence_of :cpu_details_enabled
  validate_presence_of :content_moderated_status
  validate_presence_of :content_moderated_date
  validate_presence_of :http_frontend_ip
  validate_presence_of :http_frontend_ip_transition
  validate_presence_of :cpu_limit_exceeded_date
  validate_presence_of :aufs_template
  validate_presence_of :options_autolimit
  validate_presence_of :iis_creation_commands
  validate_presence_of :iis_creation_commands_unix
  validate_presence_of :thumb_date
  validate_presence_of :thumb_failed
  validate_presence_of :backup_stat_date
  validate_presence_of :backup_date
  validate_presence_of :detected_packages
  validate_presence_of :stat_site_power
  validate_presence_of :smtp_from
  validate_presence_of :super_backup_date
  validate_presence_of :backup_delta_stat_date
  validate_presence_of :backup_delta_date
  validate_presence_of :backup_delta_desc
  validate_presence_of :alt_docroot_server
  validate_presence_of :alt_docroot_path
  validate_presence_of :alt_docroot_status
  validate_presence_of :alt_docroot_status_cnt
  validate_presence_of :alt_docroot_status_date
  validate_presence_of :bind_dtc
  validate_presence_of :backup_special_mode
  validate_presence_of :size_check_problem
  validate_presence_of :wpb_domain
  validate_presence_of :wpb_uuid
  validate_presence_of :wpb_status
  validate_presence_of :admin_protection
  validate_presence_of :size_comments
  validate_presence_of :alt_docroot_ssd_req
  validate_presence_of :mail_limit
  validate_presence_of :mail_accept
  validate_presence_of :mail_drop
  validate_presence_of :ftp_name
  validate_presence_of :ftp_pwd

end
