=begin
1Gb API

 API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  

OpenAPI spec version: 2.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

=end

class InitTables < ActiveRecord::Migration
  def change
    create_table : , id: false do |t|
      t.string :mail
      t.string :website
      t.boolean :mysql
      t.string :size
      t.boolean :mssql
      t.boolean :dynamic_content
      t.boolean :php_exec
      t.string :ftp2

      t.timestamps
    end

    create_table :inline_response_200, id: false do |t|
      t.integer :negative_balance_days
      t.integer :negative_balance_days_lic
      t.float :last_month_debt_sum
      t.float :last_month_debt_sum2
      t.string :block_date

      t.timestamps
    end

    create_table :inline_response_200_1, id: false do |t|
      t.integer :id
      t.string :description
      t.integer :billing_group_id
      t.string :blocked
      t.string :blocked_date
      t.string :blocked_reason
      t.float :credit_limit
      t.integer :plan_id
      t.integer :period_id
      t.integer :contract_type
      t.integer :client_id
      t.string :client_login
      t.string :contract_id
      t.string :name_rus
      t.string :name_eng
      t.string :email
      t.integer :stat_sites
      t.integer :stat_size_mb
      t.integer :stat_emails
      t.integer :stat_mysqls
      t.integer :stat_tech
      t.integer :stat_nicd
      t.integer :stat_access_dynamic
      t.integer :stat_access_static
      t.integer :stat_access_traffic
      t.integer :stat_paid_total
      t.integer :stat_vds_size
      t.string :__plan_name
      t.integer :__period_months
      t.float :__period_price
      t.string :__expires
      t.string :external_currency_spelled_prefix
      t.string :external_currency_spelled_suffix

      t.timestamps
    end

    create_table :inline_response_200_10, id: false do |t|
      t.integer :id
      t.string :datetime
      t.string :description
      t.string :description_plain

      t.timestamps
    end

    create_table :inline_response_200_11, id: false do |t|
      t.string :ip
      t.integer :vds_id

      t.timestamps
    end

    create_table :inline_response_200_12, id: false do |t|
      t.integer :id
      t.boolean :deleted
      t.boolean :online
      t.boolean :stopped
      t.string :pwd
      t.string :template
      t.string :type_full
      t.string :physical_mac
      t.string :type

      t.timestamps
    end

    create_table :inline_response_200_13, id: false do |t|
      t.string :type
      t.string :template
      t.integer :popularity
      t.integer :actual_template

      t.timestamps
    end

    create_table :inline_response_200_14, id: false do |t|
      t.integer :id
      t.string :status
      t.string :unmovable
      t.string :online
      t.string :deleted
      t.string :deleted_auto
      t.string :deleted_dump
      t.string :user_id
      t.string :ftp_id
      t.string :dns_id
      t.string :iis_id
      t.string :iis_binding
      t.string :iis_path
      t.string :iis_comments
      t.string :memo
      t.string :date_reg
      t.string :server
      t.string :server_bak
      t.string :server_aux
      t.string :server_transition
      t.string :server_transition_dtc
      t.string :block_transfer
      t.string :server_changed_time
      t.string :size_amount
      t.string :size_file_count
      t.string :size_file_count_limit
      t.string :size_date
      t.string :size_priority_scan
      t.string :copy_logs
      t.string :content_comments
      t.string :content_comments_verbose
      t.string :meta_save_count
      t.string :base_folder
      t.string :virtualhost_conf
      t.string :virtualhost_server
      t.string :virtualhost_server_conf
      t.string :live_day_count
      t.string :scan_date
      t.string :global_transfer_count
      t.string :net_limit_file
      t.string :net_limit_deny_from_ip
      t.string :net_limit_deny_from_agent
      t.string :apache_php_pooled
      t.string :apache_php_pooled_ext
      t.string :apache_php_pooled_ext_auto
      t.string :apache_php_pool1_only
      t.string :apache_php_pool5_only
      t.string :apache_ssi
      t.string :bypass_security
      t.string :flag_generic_exec
      t.string :flag_no_www
      t.string :base_folder_suffix
      t.string :feedback_speed
      t.string :feedback_speed_dtc
      t.string :feedback_speed_feedback
      t.string :unix_path_on_windows
      t.string :ftp_ipfilter
      t.string :ssh_ipfilter
      t.string :l3d_auto
      t.string :awstats_primary_domain
      t.string :sharepoint_mode
      t.string :sharepoint_mode_pending
      t.string :apache_generic_pool_port
      t.string :mongrel_environment
      t.string :flag_free
      t.string :rtm_scan_date
      t.string :analyze_analog
      t.string :cpu_details_enabled
      t.string :content_moderated_status
      t.string :content_moderated_date
      t.string :http_frontend_ip
      t.string :http_frontend_ip_transition
      t.string :cpu_limit_exceeded_date
      t.string :aufs_template
      t.string :options_autolimit
      t.string :iis_creation_commands
      t.string :iis_creation_commands_unix
      t.string :thumb_date
      t.string :thumb_failed
      t.string :backup_stat_date
      t.string :backup_date
      t.string :detected_packages
      t.string :stat_site_power
      t.string :smtp_from
      t.string :super_backup_date
      t.string :backup_delta_stat_date
      t.string :backup_delta_date
      t.string :backup_delta_desc
      t.string :alt_docroot_server
      t.string :alt_docroot_path
      t.string :alt_docroot_status
      t.string :alt_docroot_status_cnt
      t.string :alt_docroot_status_date
      t.string :bind_dtc
      t.string :backup_special_mode
      t.string :size_check_problem
      t.string :wpb_domain
      t.string :wpb_uuid
      t.string :wpb_status
      t.string :admin_protection
      t.string :size_comments
      t.string :alt_docroot_ssd_req
      t.string :mail_limit
      t.string :mail_accept
      t.string :mail_drop
      t.string :ftp_name
      t.string :ftp_pwd

      t.timestamps
    end

    create_table :inline_response_200_2, id: false do |t|
      t.integer :id
      t.string :name
      t.string :server
      t.string :pwd
      t.string :url_suffix

      t.timestamps
    end

    create_table :inline_response_200_3, id: false do |t|
      t.integer :id
      t.integer :iis_id
      t.boolean :online
      t.string :full_domain_name
      t.string :full_domain_name_local
      t.string :addr1
      t.string :zone

      t.timestamps
    end

    create_table :inline_response_200_4, id: false do |t|
      t.string :date_updated
      t.string :record_created
      t.string :subject_contract
      t.string :end_date
      t.string :payed_till
      t.string :object_state
      t.string :domain_addr
      t.string :nservers
      t.integer :expires_countdown

      t.timestamps
    end

    create_table :inline_response_200_5, id: false do |t|
      t.integer :id
      t.string :mail
      t.string :_alias

      t.timestamps
    end

    create_table :inline_response_200_6, id: false do |t|
      t.integer :id
      t.integer :status
      t.boolean :online
      t.string :mail
      t.string :mercury_user
      t.string :mercury_pwd
      t.integer :size_amount
      t.integer :size_file_count
      t.integer :archived_count
      t.string :server_pop3
      t.string :server_smtp
      t.string :server_webmail
      t.string :server_imap
      t.string :wm1
      t.string :wm2

      t.timestamps
    end

    create_table :inline_response_200_7, id: false do |t|
      t.integer :id
      t.string :name
      t.string :pwd

      t.timestamps
    end

    create_table :inline_response_200_8, id: false do |t|
      t.integer :id
      t.boolean :online
      t.integer :ftp_id
      t.integer :dns_id
      t.integer :size_amount
      t.integer :size_file_count
      t.integer :size_file_count_limit

      t.timestamps
    end

    create_table :inline_response_200_9, id: false do |t|
      t.integer :id
      t.string :db
      t.string :server
      t.string :name
      t.string :pwd

      t.timestamps
    end

  end
end
